import { HorizontalAnchoredCategorySeries } from "./HorizontalAnchoredCategorySeries";
import { IUnknownValuePlotting } from "igniteui-react-core";
import { CategoryLineRasterizer } from "./CategoryLineRasterizer";
import { UnknownValuePlotting } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { Type } from "igniteui-react-core";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { CategoryFrame } from "./CategoryFrame";
import { CategorySeriesView } from "./CategorySeriesView";
import { List$1 } from "igniteui-react-core";
import { Path } from "igniteui-react-core";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { Clipper } from "igniteui-react-core";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class LineSeries extends HorizontalAnchoredCategorySeries implements IUnknownValuePlotting {
    static $t: Type;
    protected bp(): SeriesView;
    s7: LineSeriesView;
    kk(a: SeriesView): void;
    protected get_cy(): boolean;
    constructor();
    s6: CategoryLineRasterizer;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    jl(a: boolean, b: SeriesView): void;
    rc(a: CategoryFrame, b: CategorySeriesView): void;
    unknownValuePlotting: UnknownValuePlotting;
    protected kp(a: any, b: string, c: any, d: any): void;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class LineSeriesView extends AnchoredCategorySeriesView {
    static $t: Type;
    protected da: LineSeries;
    constructor(a: LineSeries);
    private dk;
    private dj;
    private dl;
    readonly dh: Path;
    readonly di: Path;
    readonly dg: Path;
    db(): void;
    dc(a: number, b: List$1<number[]>, c: boolean, d: UnknownValuePlotting, e: Clipper, f: number, g: number): void;
    protected bb(): void;
    private df;
    private de;
    private dd;
    protected bc(): void;
    protected a6(a: RenderingContext, b: boolean): void;
    al(a: any): void;
    protected af(): void;
}
